Skip to content
SteamSets
Esc
↑↓navigate↵open⌘Jpreview

Top search queries in a window, by unique searcher count

POST/v1/search.getTrending
Authorization
AuthorizationBearer token · headerrequired
Request body
requiredapplication/json
limitinteger<int32>

Max queries returned. Default 100.

min 1 · max 250
sourcestringrequired

Which search surface to query.

Allowed:badgeappaccount
windowstringrequired

Lookback window for trending compute.

Allowed:24h7d30d
Responses
200

OK

searchesTrendingSearch[] | nullrequired
Show properties
Array of TrendingSearch
querystringrequired

The search query as first typed

totalSearchesinteger<int64>required

Total times this query was searched

min 0
uniqueSearchersinteger<int64>required

Distinct searchers in the window

min 0
400

Bad Request

detailstring

A human-readable explanation specific to this occurrence of the problem.

errorsErrorDetail[] | null

Optional list of individual error details

Show properties
Array of ErrorDetail
locationstring

Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id'

messagestring

Error message text

valueany

The value at the given location

instancestring<uri>

A URI reference that identifies the specific occurrence of the problem.

statusinteger<int64>

HTTP status code

titlestring

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

typestring<uri>

A URI reference to human-readable documentation for the error.

default: "about:blank"
422

Unprocessable Entity

detailstring

A human-readable explanation specific to this occurrence of the problem.

errorsErrorDetail[] | null

Optional list of individual error details

Show properties
Array of ErrorDetail
locationstring

Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id'

messagestring

Error message text

valueany

The value at the given location

instancestring<uri>

A URI reference that identifies the specific occurrence of the problem.

statusinteger<int64>

HTTP status code

titlestring

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

typestring<uri>

A URI reference to human-readable documentation for the error.

default: "about:blank"
500

Internal Server Error

detailstring

A human-readable explanation specific to this occurrence of the problem.

errorsErrorDetail[] | null

Optional list of individual error details

Show properties
Array of ErrorDetail
locationstring

Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id'

messagestring

Error message text

valueany

The value at the given location

instancestring<uri>

A URI reference that identifies the specific occurrence of the problem.

statusinteger<int64>

HTTP status code

titlestring

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

typestring<uri>

A URI reference to human-readable documentation for the error.

default: "about:blank"
Try it
Server
Authorization
Bodyapplication/json
Request
curl -X POST 'https://api.steamsets.com/v1/search.getTrending' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{
  "limit": 1,
  "source": "badge",
  "window": "24h"
}'
Response
{
  "searches": [
    {
      "query": "string",
      "totalSearches": 0,
      "uniqueSearchers": 0
    }
  ]
}